<?php
namespace Incoviba\Service\Proyecto;

use Incoviba\Repository;
use Incoviba\Model;

class ProyectoTipoUnidad
{
    public function __construct(
        protected Repository\Proyecto\ProyectoTipoUnidad $proyectoTipoUnidadRepository,
        protected Repository\Proyecto\Tipologia $tipologiaRepository
    ) {}

    public function getById(int $proyecto_tipo_unidad_id): Model\Proyecto\ProyectoTipoUnidad
    {
        $ptu = $this->proyectoTipoUnidadRepository->fetchById($proyecto_tipo_unidad_id);
        if ($ptu->tipoUnidad->descripcion === 'departamento') {
            $ptu->tipologias = $this->tipologiaRepository->fetchByProyectoTipoUnidad($proyecto_tipo_unidad_id);
        }
        return $ptu;
    }
}
